//priority: 997
onEvent('recipes', e => {
    e.replaceInput('appliedenergistics2:certus_quartz_dust', '#forge:dusts/certus_quartz');

    function unifyMetal(name, ingotItem, dustItem, blockItem, nuggetItem, dslurryFluid, cslurryFluid, crystalItem, shardItem, clumpItem, dirtydustItem) {
        e.replaceOutput(`#forge:ingots/${name}`, ingotItem);
        e.replaceOutput(`#forge:dusts/${name}`, dustItem);
        e.replaceOutput(`#forge:nuggets/${name}`, nuggetItem);
        e.replaceOutput(`#forge:storage_blocks/${name}`, blockItem);
        /*e.remove({
            input: [`#forge:ores/${name}`, `#forge:dusts/${name}`],
            output: `#forge:ingots/${name}`,
            type: 'minecraft:smelting'
        });
        e.remove({
            input: [`#forge:ores/${name}`, `#forge:dusts/${name}`],
            output: `#forge:ingots/${name}`,
            type: 'minecraft:blasting'
        });
		*/
		//test
        if (name !== 'iron' && name !== 'gold' && name !== 'azure_silver' && name !== 'crimson_iron') {
            //console.log(`Removing enriching recipes for #forge:ores/${name} to mekanism:dust_${name}`);
            e.remove({
                input: `#forge:ores/${name}`,
                output: `mekanism:dust_${name}`,
                type: 'mekanism:enriching'
            });
            //console.log(`Removing enriching recipes for mekanism:dirty_dust_${name} to mekanism:dust_${name}`);
            e.remove({
                input: `mekanism:dirty_dust_${name}`,
                output: `mekanism:dust_${name}`,
                type: 'mekanism:enriching'
            });
            //console.log(`Removing purifying recipes for #mekanism:clumps/${name} to mekanism:dirty_dust_${name}`);
            e.remove({
                input: `#mekanism:clumps/${name}`,
                output: `mekanism:dirty_dust_${name}`,
                type: 'mekanism:crushing'
            });
            //console.log(`Removing purifying recipes for #forge:ores/${name} to mekanism:clump_${name}`);
            e.remove({
                input: `#forge:ores/${name}`,
                output: `mekanism:clump_${name}`,
                type: 'mekanism:purifying'
            });
            //console.log(`Removing purifying recipes for mekanism:shard_${name} to mekanism:clump_${name}`);
            e.remove({
                input: `mekanism:shard_${name}`,
                output: `mekanism:clump_${name}`,
                type: 'mekanism:purifying'
            });
            //console.log(`Removing injecting recipes for #forge:ores/${name} to mekanism:shard_${name}`);
            e.remove({
                input: `#forge:ores/${name}`,
                output: `mekanism:shard_${name}`,
                type: 'mekanism:injecting'
            });
            //console.log("Removing injecting recipes for mekanism:crystals_" + name + " to mekanism:shard_" + name);
            e.remove({
                input: `#mekanism:crystals/${name}`,
                output: `mekanism:shard_${name}`,
                type: 'mekanism:injecting'
            });
        }

        e.recipes.minecraft.smelting(ingotItem, `#forge:dusts/${name}`);
        e.recipes.minecraft.blasting(ingotItem, `#forge:dusts/${name}`);

        if (!ingredient.of(`#forge:ores/${name}`).stacks.empty) {
            e.recipes.minecraft.smelting(ingotItem, `#forge:ores/${name}`).xp(1);
            e.recipes.minecraft.blasting(ingotItem, `#forge:ores/${name}`).xp(1);
            e.recipes.mekanism.enriching(item.of(dustItem, 2), `#forge:ores/${name}`);

            e.remove({
                id: `appliedenergistics2:grinder/${name}_dust_ore`
            });
            e.recipes.appliedenergistics2.grinder({
                input: {
                    tag: `forge:ores/${name}`
                },
                result: {
                    primary: {
                        item: dustItem,
                        count: 2
                    }
                },
                turns: 8
            });
        }




        e.replaceInput(nuggetItem, (`#forge:nuggets/${name}`));
        e.replaceInput(dustItem, (`#forge:dusts/${name}`));
        e.replaceInput(ingotItem, (`#forge:ingots/${name}`));
        e.replaceInput(blockItem, (`#forge:storage_blocks/${name}`));
    
    }
})


/*onEvent('recipes', e => {
 // Unifying smelting output.
    // This is a bit hodgepodge because we don't really control what JACOPA does
    e.replaceOutput({}, '#forge:ingots/copper', 'silents_mechanisms:copper_ingot');
    e.replaceOutput({}, '#forge:ingots/tin', 'silents_mechanisms:tin_ingot');
    e.replaceOutput({}, '#forge:ingots/lead', 'silents_mechanisms:lead_ingot');
    e.replaceOutput({}, '#forge:ingots/silver', 'silents_mechanisms:silver_ingot');
    e.replaceOutput({}, '#forge:ingots/nickel', 'silents_mechanisms:nickel_ingot');
    e.replaceOutput({}, '#forge:ingots/aluminum', 'silents_mechanisms:aluminum_ingot');

    // Unifying alloys
    e.replaceOutput({}, '#forge:ingots/invar', 'silents_mechanisms:invar_ingot');
    e.replaceOutput({}, '#forge:ingots/bronze', 'silents_mechanisms:invar_bronze');
    e.replaceOutput({}, '#forge:ingots/bronze', 'silents_mechanisms:invar_bronze');
    e.replaceOutput({}, '#forge:ingots/constantan', 'thermal:constantan_ingot');
    e.replaceOutput({}, '#forge:ingots/steel', 'silents_mechanisms:steel_ingot');
    */
    function unifyCraftMetal(name, ingotItem, dustItem, blockItem, nuggetItem) {
        e.replaceInput(nuggetItem, (`#forge:nuggets/${name}`));
        e.replaceInput(dustItem, (`#forge:dusts/${name}`));
        e.replaceInput(ingotItem, (`#forge:ingots/${name}`));
        e.replaceInput(blockItem, (`#forge:storage_blocks/${name}`));
        e.replaceOutput(`#forge:ingots/${name}`, ingotItem);
        e.replaceOutput(`#forge:dusts/${name}`, dustItem);
        e.replaceOutput(`#forge:nuggets/${name}`, nuggetItem);
        e.replaceOutput(`#forge:storage_blocks/${name}`, blockItem);
    }


/*unifyMetal('gold', 'minecraft:gold_ingot', 'towncraft2:gold_dust', 'minecraft:gold_block', 'minecraft:gold_nugget', 'mekanism:dirty_gold', 'mekanism:clean_gold', 'mekanism:crystal_gold', 'mekanism:shard_gold', 'mekanism:clump_gold', 'mekanism:dirty_dust_gold');
unifyMetal('iron', 'minecraft:iron_ingot', 'towncraft2:iron_dust', 'minecraft:iron_block', 'minecraft:iron_nugget', 'mekanism:dirty_iron', 'mekanism:clean_iron', 'mekanism:crystal_iron', 'mekanism:shard_iron', 'mekanism:clump_iron', 'mekanism:dirty_dust_iron');

//Multiple Mods
unifyMetal('aluminum', 'towncraft2:aluminum_ingot', 'towncraft2:aluminum_dust', 'towncraft2:aluminum_block', 'towncraft2:aluminum_nugget', 'towncraft2:dirty_aluminum', 'towncraft2:clean_aluminum', 'towncraft2:aluminum_crystal', 'towncraft2:aluminum_shard', 'towncraft2:aluminum_clump', 'dirty_aluminum_dust');
unifyMetal('copper', 'towncraft2:copper_ingot', 'towncraft2:copper_dust', 'towncraft2:copper_block', 'towncraft2:copper_nugget', 'towncraft2:dirty_copper', 'towncraft2:clean_copper', 'towncraft2:copper_crystal', 'towncraft2:copper_shard', 'towncraft2:copper_clump', 'towncraft2:dirty_copper_dust');
unifyMetal('lead', 'towncraft2:lead_ingot', 'towncraft2:lead_dust', 'towncraft2:lead_block', 'towncraft2:lead_nugget', 'towncraft2:dirty_lead', 'towncraft2:clean_lead', 'towncraft2:lead_crystal', 'towncraft2:lead_shard', 'towncraft2:lead_clump', 'towncraft2:dirty_lead_dust');
unifyMetal('nickel', 'towncraft2:nickel_ingot', 'towncraft2:nickel_dust', 'towncraft2:nickel_block', 'towncraft2:nickel_nugget', 'towncraft2:dirty_nickel', 'towncraft2:clean_nickel', 'towncraft2:nickel_crystal', 'towncraft2:nickel_shard', 'towncraft2:nickel_clump', 'towncraft2:dirty_nickel_dust');
unifyMetal('platinum', 'towncraft2:platinum_ingot', 'towncraft2:platinum_dust', 'towncraft2:platinum_block', 'towncraft2:platinum_nugget', 'towncraft2:dirty_platinum', 'towncraft2:clean_platinum', 'towncraft2:platinum_crystal', 'towncraft2:platinum_shard', 'towncraft2:platinum_clump', 'towncraft2:dirty_platinum_dust');
unifyMetal('silver', 'towncraft2:silver_ingot', 'towncraft2:silver_dust', 'towncraft2:silver_block', 'towncraft2:silver_nugget', 'towncraft2:dirty_silver', 'towncraft2:clean_silver', 'towncraft2:silver_crystal', 'towncraft2:silver_shard', 'towncraft2:silver_clump', 'towncraft2:dirty_silver_dust');
unifyMetal('tin', 'towncraft2:tin_ingot', 'towncraft2:tin_dust', 'towncraft2:tin_block', 'towncraft2:tin_nugget', 'towncraft2:dirty_tin', 'towncraft2:clean_tin', 'towncraft2:tin_crystal', 'towncraft2:tin_shard', 'towncraft2:tin_clump', 'towncraft2:dirty_tin_dust');
unifyMetal('uranium', 'towncraft2:uranium_ingot', 'towncraft2:uranium_dust', 'towncraft2:uranium_block', 'towncraft2:uranium_nugget', 'towncraft2:dirty_uranium', 'towncraft2:clean_uranium', 'towncraft2:uranium_crystal', 'towncraft2:uranium_shard', 'towncraft2:uranium_clump', 'towncraft2:dirty_uranium_dust');
unifyMetal('zinc', 'towncraft2:zinc_ingot', 'towncraft2:zinc_dust', 'towncraft2:zinc_block', 'towncraft2:zinc_nugget', 'towncraft2:dirty_zinc', 'towncraft2:clean_zinc', 'towncraft2:zinc_crystal', 'towncraft2:zinc_shard', 'towncraft2:zinc_clump', 'towncraft2:dirty_zinc_dust');

//Mekanism
unifyMetal('osmium', 'towncraft2:osmium_ingot', 'towncraft2:osmium_dust', 'towncraft2:osmium_block', 'towncraft2:osmium_nugget', 'towncraft2:dirty_osmium', 'towncraft2:clean_osmium', 'towncraft2:osmium_crystal', 'towncraft2:osmium_shard', 'towncraft2:osmium_clump', 'towncraft2:dirty_osmium_dust');

//Silent Gear
unifyMetal('azure_silver', 'silentgear:azure_silver_ingot', 'silentgear:azure_silver_dust', 'silentgear:azure_silver_block', 'silentgear:azure_silver_nugget');
unifyMetal('crimson_iron', 'silentgear:crimson_iron_ingot', 'silentgear:crimson_iron_dust', 'silentgear:crimson_iron_block', 'silentgear:crimson_iron_nugget');

//Craft only metals
//Multiple Mods crafted only (no ore)
//unifyCraftMetal('bronze', 'mekanism:ingot_bronze', 'mekanism:dust_bronze', 'mekanism:block_bronze', 'mekanism:nugget_bronze'); //Replaced/Returned to unifying on thermal's bronze
unifyCraftMetal('steel', 'mekanism:ingot_steel', 'mekanism:dust_steel', 'mekanism:block_steel', 'mekanism:nugget_steel');

//Thermal
unifyCraftMetal('bronze', 'thermal:bronze_ingot', 'thermal:bronze_dust', 'thermal:bronze_block', 'thermal:bronze_nugget');
unifyCraftMetal('constantan', 'thermal:constantan_ingot', 'thermal:constantan_dust', 'thermal:constantan_block', 'thermal:constantan_nugget');
unifyCraftMetal('electrum', 'thermal:electrum_ingot', 'thermal:electrum_dust', 'thermal:electrum_block', 'thermal:electrum_nugget');

});*/